/**
 * @(#) SelectionListener.java
 */

package org.omg.tacsit.controller;

/**
 * {@linkplain SelectionListener} is the type of object that is notified by a
 * {@link SelectionManager} where it is registered in case of a change in one of the
 * selections of that {@linkplain SelectionManager}.
 */
public interface SelectionListener
{
	/**
	 * This method is called by a {@link SelectionManager} when this 
   * {@linkplain SelectionListener} is registered for selection changes 
   * for that {@linkplain SelectionManager}. The
	 * details of which selection changed and which elements are still in the
	 * selection can be obtained through the given SelectionEvent.
   * 
   * @param event The event describing the new selection.
	 */
	void selectionChanged( SelectionEvent event );
	
	
}
