/**
 * Organization:  SimVentions, Inc.
 * Creation Date: Mar 28, 2011
 */
package org.omg.tacsit.controller;

/**
 * The methodology that should be used for sharing selections in a 
 * {@link TacsitController}.
 * @author Matthew Child
 */
public enum SelectionMethodology
{

  /**
   * The selection is unique to each Viewport - which allows them to vary 
   * independently of one another.
   */
  ViewportDependent,
  /**
   * The selection is shared between all viewports; a change in one of them
   * affects all the others.
   */
  ViewportIndependent;
}
