/**
 * @(#) GeodeticPosition.java
 */

package org.omg.tacsit.geometry;

/**
 * GeoPosition represent a geographical position, i.e., a position on the earth
 * using the WS84 model.
 */
public interface GeodeticPosition extends Geometry
{
	/**
   * Gets the Longitude coordinate of the {@linkplain GeodeticPosition}.
	 * @return the Longitude coordinate.
	 */
	Angle getLongitude( );
	
	/**
   * Gets the Latitude coordinate of the {@linkplain GeodeticPosition}.
	 * @return the Latitude coordinate.
	 */
	Angle getLatitude( );
	
	/**
   * Gets the altitude coordinate of the GeodeticPosition.
	 * @return the altitude coordinate of the GeodeticPosition, or null if 
   * the altitude is not valid.
	 */
	Distance getAltitude( );
	
	
}
