/**
 * @(#) Rectangle.java
 */

package org.omg.tacsit.geometry;

/**
 * A Rectangle described in a Geodetic coordinate positions.
 */
public interface Rectangle extends Centered, Geometry
{
	/**
   * Gets the height of the {@linkplain Rectangle}.
	 * @return the height of the {@linkplain Rectangle} shape.
	 */
	Distance getHeight( );
	
	/**
   * Gets the orientation of the {@linkplain Rectangle}.
	 * @return the azimuth of the y axis of the {@linkplain Rectangle} shape, where zero is
	 * north.
	 */
	Angle getOrientation( );
	
	/**
   * Gets the width of the {@linkplain Rectangle}
	 * @return the width of the {@linkplain Rectangle} shape.
	 */
	Distance getWidth( );
		
}
