/**
 * @(#) EntityTypeQuery.java
 */

package org.omg.tacsit.query;

import java.util.Collection;
import org.omg.tacsit.controller.EntityType;

/**
 * The EntityTypeQuery is used to determine whether or not a given Entity
 * belongs to a particular EntityType.
 */
public interface EntityTypeQuery extends EntityQuery
{
	/**
	 * Gets the {@link EntityType}s to compare with.
	 * 
	 * @return the {@link EntityType}s to compare with.
	 */
	Collection<EntityType> getEntityTypes( );
	
	
}
